Crazy Eddies GUI System: CEGUI::GlobalEventSet Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
CEGUI::GlobalEventSet Class Reference

The GlobalEventSet singleton allows you to subscribe to an event for all instances of a class. The GlobalEventSet effectively supports "late binding" to events; which means you can subscribe to some event that does not actually exist (yet). More...

Inheritance diagram for CEGUI::GlobalEventSet:
[legend]
Collaboration diagram for CEGUI::GlobalEventSet:
[legend]

List of all members.

## Public Member Functions
virtual void | fireEvent (const String &name, EventArgs &args, const String &eventNamespace="")
| Fires the named event passing the given EventArgs object.
## Static Public Member Functions
static GlobalEventSet & | getSingleton (void)
| Return singleton System object.
static GlobalEventSet * | getSingletonPtr (void)
| Return pointer to singleton System object.

## Detailed Description

The GlobalEventSet singleton allows you to subscribe to an event for all instances of a class. The GlobalEventSet effectively supports "late binding" to events; which means you can subscribe to some event that does not actually exist (yet).

## Member Function Documentation

virtual void CEGUI::GlobalEventSet::fireEvent | ( | const String & | name,
|  | EventArgs & | args,
|  | const String & | eventNamespace = `""`
| ) |  | `[virtual]`

Fires the named event passing the given EventArgs object.

Parameters:

  name | String object holding the name of the Event that is to be fired (triggered)
  args | The EventArgs (or derived) object that is to be bassed to each subscriber of the Event. Once all subscribers have been called the 'handled' field of the event is updated appropriately.
  eventNamespace | String object describing the namespace prefix to use when firing the global event.

Returns:
  Nothing.

Reimplemented from CEGUI::EventSet.

static GlobalEventSet& CEGUI::GlobalEventSet::getSingleton | ( | void |  | ) | `[static]`

Return singleton System object.

Returns:
  Singleton System object

Reimplemented from CEGUI::Singleton< GlobalEventSet >.

static GlobalEventSet* CEGUI::GlobalEventSet::getSingletonPtr | ( | void |  | ) | `[static]`

Return pointer to singleton System object.

Returns:
  Pointer to singleton System object

Reimplemented from CEGUI::Singleton< GlobalEventSet >.